# Importieren der Pygame-Bibliothek
import pygame

# initialisieren von pygame
pygame.init()

# genutzte Farbe
ORANGE  = ( 255, 140, 0)
ROT     = ( 255, 0, 0)
GRUEN   = ( 0, 255, 0)
SCHWARZ = ( 0, 0, 0)
WEISS   = ( 255, 255, 255)

#Positionsvariablen
figurx = 10
figury = 10
skalierung = 25

punkte = 0

karte=[
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,1,1,0,0,0,1,1,1,0,1,1,1,1,0,1,1,1,0,0],
[0,1,0,1,0,0,0,1,0,0,1,0,0,0,0,1,0,0,1,0],
[0,1,0,0,1,0,0,1,0,0,1,0,0,0,0,1,0,0,1,0],
[0,1,0,0,1,0,0,1,0,0,1,0,0,0,0,1,0,1,0,0],
[0,1,0,1,0,0,0,1,0,0,1,0,0,0,0,1,1,0,0,0],
[0,1,1,1,0,0,0,1,0,0,1,1,1,1,0,1,1,1,0,0],
[0,1,0,0,1,0,0,1,0,0,1,0,0,0,0,1,0,1,0,0],
[0,1,0,0,0,1,0,1,0,0,1,0,0,0,0,1,0,0,1,0],
[0,1,0,0,0,1,0,1,0,0,1,0,0,0,0,1,0,0,1,0],
[0,1,0,0,1,0,0,1,0,0,1,0,0,0,0,1,0,0,1,0],
[0,1,1,1,0,0,1,1,1,0,1,1,1,1,0,1,0,0,1,0],
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
] 

# Fenster öffnen
fenster=pygame.display.set_mode((640, 480))
figur = pygame.image.load("horvath.png")
bier = pygame.image.load("bier.png")
bier = pygame.transform.scale(bier, (10,27))
# Titel für Fensterkopf
pygame.display.set_caption("BEERQUEST")

#Bildschirmaktualisierung einstellen
clock = pygame.time.Clock()

# solange die Variable True ist, soll das Spiel laufen
spielaktiv = True

# Schleife Hauptprogramm
while spielaktiv:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            spielaktiv = False
        elif event.type == pygame.KEYDOWN:
            print("Spieler hat Taste gedrückt")

            # Tasteabfrage
            if event.key == pygame.K_RIGHT:
                print("Spieler hat Pfeiltaste rechts gedrückt")

                figur=pygame.transform.flip(figur,True,False)
                figurx=figurx+1
                
            elif event.key == pygame.K_LEFT:
                print("Spieler hat Pfeiltaste links gedrückt")

                figur=pygame.transform.flip(figur,True,False)
                figurx=figurx-1
                
            elif event.key == pygame.K_UP:
                print("Spieler hat Pfeiltaste hoch gedrückt")

                figur=pygame.transform.flip(figur,True,False)
                figury=figury-1
                
            elif event.key == pygame.K_DOWN:
                print("Spieler hat Pfeiltaste runter gedrückt")

                figur=pygame.transform.flip(figur,True,False)
                figury=figury+1
                
    # Spielfeld löschen
    fenster.fill(WEISS)

    for x in range(0,20):
        for y in range(0,17):
            if karte[y][x] != 0:
                fenster.blit(bier, (x*skalierung,y*skalierung))
                

    if karte[figury][figurx] != 0:
        karte[figury][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    
    if karte[figury+1][figurx+1] != 0:
        karte[figury+1][figurx+1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury+2][figurx+1] != 0:
        karte[figury+2][figurx+1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury+3][figurx+1] != 0:
        karte[figury+3][figurx+1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury][figurx+1] != 0:
        karte[figury][figurx+1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury+1][figurx] != 0:
        karte[figury+1][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury+2][figurx] != 0:
        karte[figury+2][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))

    if karte[figury+3][figurx] != 0:
        karte[figury+3][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))      


    ausgabetext = "Promille:0," + str(punkte)
    font = pygame.font.SysFont(None, 40)
    text = font.render(ausgabetext, True, GRUEN)
    fenster.blit(text, [100, 10])  
    
    # Figur zeichnen
    fenster.blit(figur, (figurx*skalierung,figury*skalierung))
    
    # Fenster aktualisiere
    pygame.display.flip()


    #resfresh zeit
    clock.tick(60)

pygame.quit()
quit()
